List filing types for a jurisdiction
curl --request GET \
--url https://api.cadanapay.com/v1/statutory/jurisdictions/{country_code}/filing-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/statutory/jurisdictions/{country_code}/filing-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/statutory/jurisdictions/{country_code}/filing-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "ft_mx_isr_monthly",
"name": "ISR Withholding",
"description": "ISR income tax withholding return filed monthly with SAT",
"governmentFormName": "Declaración Provisional ISR",
"authority": {
"id": "auth_mx_sat",
"name": "Servicio de Administración Tributaria",
"abbreviation": "SAT"
},
"frequency": "MONTHLY",
"dueDay": 10,
"includesRemittance": true,
"legislativeReference": "Ley del Impuesto Sobre la Renta (LISR), Artículo 96"
}
]
}Jurisdictions
List filing types for a jurisdiction
Returns every type of statutory return that must be filed in this jurisdiction. Each filing type includes the government authority, frequency, and required data.
GET
/
v1
/
statutory
/
jurisdictions
/
{country_code}
/
filing-types
List filing types for a jurisdiction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
ISO 3166-1 alpha-2 country code
Pattern:
^[A-Z]{2}$Response
200 - application/json
Filing types for the jurisdiction
Show child attributes
Show child attributes
⌘I